#
# spec file for package python-docker-pycreds
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-docker-pycreds
Version:        0.4.0
Release:        lp152.1.1
Summary:        Python bindings for the Docker credentials store API
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/shin-/dockerpy-creds
Source:         https://files.pythonhosted.org/packages/source/d/docker-pycreds/docker-pycreds-%{version}.tar.gz
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-six
Recommends:     docker-credential-secretservice
BuildArch:      noarch
%python_subpackages

%description
This package contains the Python bindings for the Docker credentials
store API.

%prep
%setup -q -n docker-pycreds-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}/%{$python_sitelib}/

%check
# Can't run tests as they are depending on crendentials store to exist already
#%%python_expand py.test-%{$python_bin_suffix} .

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/*

%changelog
* Mon Jan 14 2019 Henne Vogelsang <hvogel@opensuse.org>
- update to version 0.4.0:
  * Add support for store.list
* Tue Oct  9 2018 dmueller@suse.com
- remove unused flake8 dependency
* Sun Jun 24 2018 arun@gmx.de
- update to version 0.3.0:
  * Allow overriding environment variables for credstore invocation
* Wed May  2 2018 tchvatal@suse.com
- Version update to 0.2.3:
  * Various small cleanups and more CI integrations
* Fri Feb 23 2018 arun@gmx.de
- specfile:
  * update copyright year
  * add flake8 and pytest-cov to test requirements (according to setup.py)
- update to version 0.2.2:
  * Add support for docker-credential-pass
  * Add test-running Dockerfile
  * Update setup.py
* Thu Aug  3 2017 toddrme2178@gmail.com
- Implement single-spec version
- Remove fix-requirements.patch
  This is only needed for setup.py test, which doesn't actually
  run the tests anyway so isn't used.
* Tue Feb 21 2017 dmueller@suse.com
- update fix-requirements.patch: drop flake8
- fix source url
* Fri Nov  4 2016 jengelh@inai.de
- Summary/Description update
* Fri Nov  4 2016 jmassaguerpla@suse.com
- relax test-requirements so that it builds on Factory
* Thu Nov  3 2016 jmassaguerpla@suse.com
- Add the description
- Remove the SLE11 case
* Wed Oct 26 2016 jmassaguerpla@suse.com
- initial import
